<?php
if (!defined('ABSPATH')) {
    exit;
}

function getLicenseKey() {
    $characters = '0123456789abcdefghijklmnopqrstuvwxyz';
    $randomString = '';
    for ($i = 0; $i < 35; $i++) {
        $index = rand(0, strlen($characters) - 1);
        $randomString .= $characters[$index];
    }
    $array = str_split($randomString, 5);
    return implode('-', $array);
}

function getUsername() {
    $characters = '0123456789';
    $randomString = '';
    for ($i = 0; $i < 8; $i++) {
        $index = rand(0, strlen($characters) - 1);
        $randomString .= $characters[$index];
    }
    return 'promo/'.$randomString;
}


global $wp_version, $wpdb, $ssd_errors, $ssd_success, $ssd_settings;

$active_tab = (isset($_GET['tab']) && $_GET['tab'] != '') ? esc_attr($_GET['tab']) : 'help_file';
$ssd_wp_auto_update = new ssd_wp_auto_update();

if (isset($ssd_errors)) {
    if (is_wp_error($ssd_errors)) {
        ?>
        <div class="error notice">
            <p><?php echo $ssd_errors->get_error_message(); ?></p>
        </div>
        <?php
    }
}
if (isset($ssd_success)) {
    ?>
    <div class="updated notice">
        <p><?php echo $ssd_success; ?></p>
    </div>
    <?php
}
?>
<div class="wrap ssd-getting-started-wrap">
    <h2 style="display: none;"></h2>
    <div class="ssd-intro">
        <div class="ssd-intro-content">
            <h3> <?php esc_html_e('Getting Started', 'social-stream-designer'); ?> </h3>
            <h4> <?php echo esc_html__('You will find everything you need to get started here. You are now equipped with arguably the most powerful WordPress', 'social-stream-designer') .' <b>'. __('Social Stream Layouts Builder', 'social-stream-designer') .'</b>. '.__('To enjoy the full experience, we strongly recommend to read the help file first and register your product with codecanyon license key.', 'social-stream-designer'); ?> </h4>
        </div>
    </div>

    <div class="ssd-panel">
        <ul class="ssd-panel-list">
            <li class="panel-item <?php echo ($active_tab == 'help_file') ? 'active' : ''; ?>">
                <a href="<?php echo admin_url('admin.php?page=social-stream-designer-started&tab=help_file'); ?>"><?php _e('Read This First', 'social-stream-designer'); ?></a>
            </li>
            <li class="panel-item <?php echo ($active_tab == 'register_product') ? 'active' : ''; ?> <?php echo ($ssd_wp_auto_update->getRemote_license() == 'correct') ? 'ssd-reg' : 'ssd-not-reg'?>">
                <a href="<?php echo admin_url('admin.php?page=social-stream-designer-started&tab=register_product'); ?>"><?php _e('Register Product', 'social-stream-designer'); ?></a>
            </li>
            <li class="panel-item <?php echo ($active_tab == 'uninstall_data') ? 'active' : ''; ?>">
                <a href="<?php echo admin_url('admin.php?page=social-stream-designer-started&tab=uninstall_data'); ?>"><?php _e('Uninstall Data', 'social-stream-designer'); ?></a>
            </li>
            <li class="panel-item <?php echo ($active_tab == 'support') ? 'active' : ''; ?>">
                <a href="<?php echo admin_url('admin.php?page=social-stream-designer-started&tab=support'); ?>"><?php _e('Support', 'social-stream-designer'); ?></a>
            </li>
        </ul>

        <div class="ssd-panel-wrap">
            <?php if ($active_tab == 'help_file') : ?>
            <div id="ssd-help-file" class="ssd-help-file">
                <div class="ssd-panel-left">
                    <div class="ssd-notification">
                        <h2>
                            <?php echo __('Success, The Social Stream Designer is now activated!', 'social-stream-designer') . ' &#x1F60A'; ?>
                        </h2>
                        <p><?php echo __('To customize your layouts,', 'social-stream-designer') . ' <a href="admin.php?page=social-stream-designer-layouts" target="_blank">' . __('Go to Layouts', 'social-stream-designer') . '</a>. ' . __('In case of doubt,', 'social-stream-designer') . ' <a href="https://solwininfotech.com/documents/wordpress/social-stream-designer/" target="_blank"> '. __('Read Documentation', 'social-stream-designer') .' </a> ' . __('or create a support ticket on our', 'social-stream-designer') .' <a href="http://support.solwininfotech.com/" target="_blank">'. __('support portal', 'social-stream-designer') .'</a>.'?> </p>
                    </div>

                    <hr id="ssd-shortcode-usage">
                    <h3>
                        <?php _e('How to use Social Stream Designer Shortcode?', 'social-stream-designer') ;?> <span>(<?php _e('Optional', 'social-stream-designer'); ?>)</span> <a href="#ssd-shortcode-usage">#</a>
                        <a class="back-to-top" href="#ssd-help-file"><?php _e('Back to Top', 'social-stream-designer'); ?></a>
                    </h3>
                    <p><?php _e('WP Social Stream Designer PRO is a step ahead WordPress plugin that allows you to create, design and showcase your social post in more pretty, attractive and colorful way.', 'social-stream-designer'); ?></p>
                    <ul>
                        <li><?php echo __('Use shortcode', 'social-stream-designer') . ' <b>[social_stream_feeds id="xx"]</b> ' . __('in any WordPress post or page.', 'social-stream-designer'); ?></li>
                        <li><?php echo __('Use', 'social-stream-designer') . '<b> &lt;&quest;php echo do_shortcode("[social_stream_feeds id="xx"]"); &nbsp;&quest;&gt; </b>' . __('into a template file within your theme files.', 'social-stream-designer'); ?></li>
                    </ul>
                </div>
                <div class="bd-panel-right">
                    <h3><?php _e('Other Premium Plugins', 'social-stream-designer'); ?></h3>
                    <div class="ssd-panel-aside">
                        <a href="<?php echo esc_url('https://www.solwininfotech.com/product/wordpress-plugins/avartan-slider/'); ?>" target="_blank">
                            <img src="https://solwincdn-79e1.kxcdn.com/wp-content/uploads/2015/10/avartan-responsive-slider.png" alt="<?php _e('Avartan Slider', 'social-stream-designer'); ?>" />
                        </a>
                        <div class="ssd-panel-club-inside">
                            <p><?php echo '<b>' . __('Avartan Slider', 'social-stream-designer') . '</b> ' . __('is a responsive WordPress plugin to create stunning image slider and video slider for your WordPress website. It has unique features like drag and drop visual slider builder, multi-media content, etc.', 'social-stream-designer'); ?></p>
                            <a href="<?php echo esc_url('https://www.solwininfotech.com/product/wordpress-plugins/avartan-slider/'); ?>" target="_blank"><?php _e('Read More', 'social-stream-designer'); ?></a>
                        </div>
                    </div>
                    <div class="ssd-panel-aside">
                        <a href="<?php echo esc_url('https://www.solwininfotech.com/product/wordpress-plugins/social-stream-designer/'); ?>" target="_blank">
                            <img src="https://solwincdn-79e1.kxcdn.com/wp-content/uploads/2017/02/social-stream-designer-WordPress-Plugin.png" alt="<?php _e('Portfolio Designer', 'social-stream-designer'); ?>" />
                        </a>
                        <div class="ssd-panel-club-inside">
                            <p><?php echo '<b>' . __('Portfolio Designer', 'social-stream-designer') . '</b> ' . __('is a WordPress plugin used to build portfolio in any desired layout. This plugin is user friendly, So no matter if you are a beginner, WordPress user, Designer or a Developer, no additional coding knowledge is required in creating portfolio layouts.', 'social-stream-designer'); ?></p>
                            <a href="<?php echo esc_url('https://www.solwininfotech.com/product/wordpress-plugins/social-stream-designer/'); ?>" target="_blank"><?php _e('Read More', 'social-stream-designer'); ?></a>
                        </div>
                    </div>

                    <h3><?php _e('Other Premium Themes', 'social-stream-designer'); ?></h3>
                    <div class="ssd-panel-aside">
                        <a href="<?php echo esc_url('https://www.solwininfotech.com/product/wordpress-themes/kosmic/'); ?>" target="_blank">
                            <img src="https://solwincdn-79e1.kxcdn.com/wp-content/uploads/2016/07/Kosmic-Multipurpose-Responsive-WordPress-Theme.png" alt="<?php _e('Kosmic', 'social-stream-designer'); ?>" />
                        </a>
                        <div class="ssd-panel-club-inside">
                            <p><?php echo '<b>' . __('Kosmic', 'social-stream-designer') . '</b> ' . __('is a multipurpose WordPress theme which is suitable for almost all types of websites. This eCommerce theme is very simple, clean and professional. It comes with an extensive theme options panel to customize your site easily as per your requirements.', 'social-stream-designer'); ?></p>
                            <a href="<?php echo esc_url('https://www.solwininfotech.com/product/wordpress-themes/kosmic/'); ?>" target="_blank"><?php _e('Read More', 'social-stream-designer'); ?></a>
                        </div>
                    </div>
                    <div class="ssd-panel-aside">
                        <a href="<?php echo esc_url('https://www.solwininfotech.com/product/wordpress-themes/foodfork/'); ?>" target="_blank">
                            <img src="https://solwincdn-79e1.kxcdn.com/wp-content/uploads/2016/06/FoodFork-Restaturant-WordPress-Theme.jpg" alt="<?php _e('FoodFork', 'social-stream-designer'); ?>" />
                        </a>
                        <div class="ssd-panel-club-inside">
                            <p><?php echo '<b>' . __('FoodFork', 'social-stream-designer') . '</b> ' . __('is a premium WordPress theme for Restaurants and food business websites. You can use this theme for your business websites like restaurant, cafe, coffee shop, fast food or pizza store.', 'social-stream-designer'); ?></p>
                            <a href="<?php echo esc_url('https://www.solwininfotech.com/product/wordpress-themes/foodfork/'); ?>" target="_blank"><?php _e('Read More', 'social-stream-designer'); ?></a>
                        </div>
                    </div>
                    <div class="ssd-panel-aside">
                        <a href="<?php echo esc_url('https://www.solwininfotech.com/product/wordpress-themes/jewelux/'); ?>" target="_blank">
                            <img src="https://solwincdn-79e1.kxcdn.com/wp-content/uploads/2016/02/JewelUX-WordPress-Premium-Theme.jpg" alt="<?php _e('JewelUX', 'social-stream-designer'); ?>" />
                        </a>
                        <div class="ssd-panel-club-inside">
                            <p><?php echo '<b>' . __('JewelUX', 'social-stream-designer') . '</b> ' . __('is a clean and modern jewelry WordPress theme designed for any online jewelry website. It’s a WooCommerce theme with responsive layout, fully widgetized and animated home page.', 'social-stream-designer'); ?></p>
                            <a href="<?php echo esc_url('https://www.solwininfotech.com/product/wordpress-themes/jewelux/'); ?>" target="_blank"><?php _e('Read More', 'social-stream-designer'); ?></a>
                        </div>
                    </div>
                </div>
            </div>
            <?php endif; ?>

            <?php
            if ($active_tab == 'register_product') :
                global $wp_version, $wpdb, $ssd_errors, $ssd_success, $ssd_settings;
                $return = '';
                if (isset($_POST['ssd_sbt_purchasecode'])) {
                    $sol_username = $_POST['sol_username'];
                    $purchase_code = $_POST['sol_purchase_code'];
                    $return = $ssd_wp_auto_update->update_license(trim($sol_username), trim($purchase_code));
                }
                if (isset($_POST['ssd_deregister_purchasecode'])) {
                    $sol_username = $_POST['sol_username'];
                    $purchase_code = $_POST['sol_purchase_code'];
                    $return = $ssd_wp_auto_update->deregister_site(trim($sol_username), trim($purchase_code));
                }
                $sol_username = get_option('ssd_username', getUsername());
                $purchase_code = get_option('ssd_purchase_code', getLicenseKey());

                $ssd_information = $ssd_wp_auto_update->getRemote_information();

                ?>
                <div id="ssd-register-product" class="ssd-register-product" >
                    <?php if ($return == 'correct') { ?>
                        <div class="ssd-updated ssd-notice">
                            <p><?php _e('License updated successfully.', 'social-stream-designer'); ?></p>
                        </div>
                    <?php } elseif($return == 'used') {
                        ?>
                        <div class="ssd-error ssd-notice">
                            <p><?php _e('License Key already used.', 'social-stream-designer'); ?></p>
                        </div>
                        <?php
                    } elseif($return == 'incorrect') {
                        ?>
                        <div class="ssd-error ssd-notice">
                            <p><?php _e('Wrong license key.', 'social-stream-designer'); ?></p>
                        </div>
                        <?php
                    } elseif($return == 'unsuccess') {
                        ?>
                        <div class="ssd-error ssd-notice">
                            <p><?php _e('Site is not registered with this license key.', 'social-stream-designer'); ?></p>
                        </div>
                        <?php
                    } elseif($return == 'success') {
                        ?>
                        <div class="ssd-updated ssd-notice">
                            <p><?php _e('Site has been De-Registered successfully.', 'social-stream-designer'); ?></p>
                        </div>
                        <?php
                    }
                    ?>
                    <h3>
                        <?php _e('Register your plugin copy', 'social-stream-designer') ;?>
                    </h3>
                    <p><?php _e('Verify your codecanyon item purchase key to get automatic updates, notifications on your WordPress dashboard.', 'social-stream-designer'); ?></p>

                    <form method="post" name="ssd_frm_purchasecode" id="ssd_frm_purchasecode">
                        <p>
                            <span class="ssd-lable"> <b><?php _e('Username', 'social-stream-designer'); ?> : </b> </span>
                            <input value="<?php echo $sol_username; ?>" required="" type="text" name="sol_username" id="sol_username" />
                            <i><small><?php _e('Username will be your registered username with', 'social-stream-designer'); ?>&nbsp;<a target="blank" href="https://codecanyon.net/"><?php _e('codecanyon', 'social-stream-designer'); ?></a></small></i>
                        </p>
                        <p>
                            <span class="ssd-lable"> <b><?php _e('License Key', 'social-stream-designer'); ?> : </b> </span>
                            <input value="<?php echo $purchase_code; ?>" required="" type="password" name="sol_purchase_code" id="sol_purchase_code" />
                            <i><small><a target="blank" href="<?php echo esc_url('https://help.market.envato.com/hc/en-us/articles/202822600-Where-Is-My-Purchase-Code'); ?>"> <?php _e('Click here', 'social-stream-designer'); ?> </a> <?php _e('to know how to get item purchase code.', 'social-stream-designer'); ?></small></i>
                        </p>
                        <p>
                            <input class="ssd-btn-success" type="submit" value="<?php echo ($sol_username != '') ? __('Update License', 'social-stream-designer') : __('Verify License', 'social-stream-designer') ;?>" name="ssd_sbt_purchasecode" />
                            <?php if ($sol_username != '') { ?>
                            <input class="ssd-btn-error" type="submit" value="<?php echo __('De-Register Site', 'social-stream-designer'); ?>" name="ssd_deregister_purchasecode" />
                        <?php } ?>
                        </p>
                    </form>
                </div>

                <?php
            endif;
            ?>
            <?php if ($active_tab == 'uninstall_data') :
                $msg = '';
                $msg_class = '';
                if (isset($_POST['submit_display']) && isset($_POST['_wp_ssd_settings_nonce']) && wp_verify_nonce($_POST['_wp_ssd_settings_nonce'], '_wp_ssd_settings_action')) {
                    $msg_class = 'updated';
                    if(isset($_POST['ssd_delete_data'])) {
                        update_option('ssd_delete_data', '1');
                    } else {
                        update_option('ssd_delete_data', '0');  
                    }
                    $msg = __('Social Stream Designer setting has been updated successfully', 'social-stream-designer');
                }
                if($msg != '') {
                    ?>
                    <div class="ssd-updated ssd-notice updated">
                        <p><?php echo $msg; ?></p>
                    </div>
                    <?php
                }
                $ssd_delete_data = get_option('ssd_delete_data',0);
                ?>
                <div class="ssd-uninstall-data">
                    <div class="ssd-ub-header">
                        <h3><?php _e('Social Stream Designer plugin Settings', 'social-stream-designer'); ?> </h3>
                    </div>
                    <form id="frmssdsetting" name="frmssdsetting" method="post" action="">
                        <div class="ssd-ub-right">
                            <input id="ssd_delete_data" type="checkbox" value="1" <?php checked('1',$ssd_delete_data); ?> name="ssd_delete_data">&nbsp;<label for="ssd_delete_data"><?php esc_html_e('Delete data on deletion of plugin.', 'social-stream-designer'); ?></label>
                        </div>
                        <?php wp_nonce_field('_wp_ssd_settings_action', '_wp_ssd_settings_nonce'); ?>
                        <p class="submit">
                            <input id="submit" class="button button-primary" type="submit" value="<?php esc_attr_e('Save Changes', 'social-stream-designer'); ?>" name="submit_display">
                        </p>
                    </form>
                </div>
            <?php endif; ?>
            <?php if ($active_tab == 'support') : ?>
                <div id="ssd-support" class="ssd-support">
                    <div class="ssd-line-cover">
                        <div class="ssd-line-content">
                            <h3>
                                <a href="<?php echo esc_url('https://www.solwininfotech.com/documents/wordpress/social-stream-designer/');?>" target="_blank"><?php _e('Documentation', 'social-stream-designer') ;?> </a>
                            </h3>
                            <p><?php _e('Read helpful resources regarding how to use The WP Social Stream Designer Plugin more efficiently.', 'social-stream-designer'); ?></p>
                        </div>
                        <div class="ssd-line-button">
                            <p> <a class="button button-primary ssd-button" href="<?php echo esc_url('https://www.solwininfotech.com/documents/wordpress/social-stream-designer/');?>" target="_blank"><?php _e('Read Documentation', 'social-stream-designer');?></a> </p>
                        </div>
                    </div>
                    <hr/>
                    <div class="ssd-line-cover">
                        <div class="ssd-line-content">
                            <h3>
                                <a href="<?php echo esc_url('https://www.solwininfotech.com/documents/wordpress/social-stream-designer/#faq');?>" target="_blank"><?php _e('FAQ', 'social-stream-designer') ;?> </a>
                            </h3>
                            <p><?php _e('The most frequently asked questions are answered here.', 'social-stream-designer'); ?></p>
                        </div>
                        <div class="ssd-line-button">
                            <p> <a class="button button-primary ssd-button" href="<?php echo esc_url('https://www.solwininfotech.com/documents/wordpress/social-stream-designer/#faq');?>" target="_blank"><?php _e('Read FAQ', 'social-stream-designer');?></a> </p>
                        </div>
                    </div>

                    <hr/>
                    <div class="ssd-line-cover">
                        <div class="ssd-line-content">
                            <h3>
                                <a href="<?php echo esc_url('http://support.solwininfotech.com/');?>" target="_blank"><?php _e('Ask our experts', 'social-stream-designer') ;?> </a>
                            </h3>
                            <p><?php _e('Any question that is not addressed on documentation? Ask it from Solwin Infotech experts. Note that you need to share your codecanyon license key to be able to get premium support.', 'social-stream-designer'); ?></p>
                        </div>
                        <div class="ssd-line-button">
                            <p> <a class="button button-primary ssd-button" href="<?php echo esc_url('http://support.solwininfotech.com/');?>" target="_blank" ><?php _e('Submit a Ticket', 'social-stream-designer');?></a> </p>
                        </div>
                    </div>
                    <hr/>
                    <div class="ssd-line-cover">
                        <div class="ssd-line-content">
                            <h3>
                                <a href="<?php echo esc_url('https://www.solwininfotech.com/contact-us/');?>" target="_blank"><?php _e('Customize The Plugin', 'social-stream-designer') ;?> </a>
                            </h3>
                            <p><?php _e('Have some more customization beyond what The Social Stream Designer offers? Solwin Infotech experts are here to help.', 'social-stream-designer'); ?></p>
                        </div>
                        <div class="ssd-line-button">
                            <p> <a class="button button-primary ssd-button" href="<?php echo esc_url('https://www.solwininfotech.com/contact-us/');?>" target="_blank"><?php _e('Hire Us', 'social-stream-designer');?></a> </p>
                        </div>
                    </div>
                    <hr/>
                </div>
            <?php endif; ?>

        </div>
    </div>

    <?php if ($active_tab == 'register_product') : ?>
        <div class="ssd-updatestory">
            <div class="ssd-info-heading ssd-panel-header">
                <h3><span class="dashicons dashicons-image-rotate"> </span> <?php _e('Update History', 'social-stream-designer'); ?> </h3>
            </div>
            <div class="ssd-panel-body">
                <div class="changelog-cover">
                    <?php echo $ssd_information->sections['changelog'];?>
                </div>
            </div>
        </div>
    <?php endif; ?>
</div>
