<?php
/**
 * Flicker Stream Form Page
 *
 * @version 1.0
 * @package WP Social Stream Designer PRO
 */

$flickr_stream = get_option( 'flickr_stream' );
if ( $flickr_stream ) {
	$flickr_api_key    = $flickr_stream['api_key'] ? $flickr_stream['api_key'] : '';
	$flickr_api_secret = $flickr_stream['api_secret'] ? $flickr_stream['api_secret'] : '';
} else {
	$flickr_api_key    = '';
	$flickr_api_secret = '';
}
?>
<div class="inside">
	<h2>
	<?php
	echo esc_html( 'Flickr Stream ' );
	esc_html_e( 'Settings', 'social-stream-designer' );
	?>
	</h2>
	<table class="form-table">
		<tbody>
			<tr>
				<td><?php echo esc_html( 'Flickr API Key' ); ?></td>
				<td>
					<input type="text" required="required" id="flickr_api_key" class="flickr_api_key" name="flickr_stream[api_key]" value="<?php echo esc_attr( $flickr_api_key ); ?>">
					<p class="description"><?php esc_html_e( "To get your own 'Flickr API Key' and 'Flickr Secret Key' you can follow these", 'social-stream-designer' ); ?> <a href="https://socialstreamdesigner.solwininfotech.com/docs/how-to-get-flickr-api-key-and-api-secrets-key/" target='_blank'><?php esc_html_e( 'Click here', 'social-stream-designer' ); ?></a></p>
				</td>
			</tr>
			<tr>
				<td><?php echo esc_html( 'Flickr API Secret Key' ); ?></td>
				<td><input type="text" required="required" id="flickr_api_secret" class="flickr_api_secret" name="flickr_stream[api_secret]" value="<?php echo esc_attr( $flickr_api_secret ); ?>"></td>
			</tr>
			<tr><td><?php submit_button(); ?></td></tr>
		</tbody>
	</table>
</div>
